//
//  SCConstants.h
//  SalesCase2
//
//  Created by Devon DuVernet on 13-01-22.
//  Copyright (c) 2013 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum{
    EVERYTHING_SYNC = 0,
    COMPANY_INFO_SYNC = 1,
    ORDERS_SYNC = 2,
    CUSTOMERS_SYNC = 3,
    ITEMS_SYNC = 4
}eSyncMethod;


//User Defaults
FOUNDATION_EXPORT NSString *const USER_COMPANY_INFO;
FOUNDATION_EXPORT NSString *const USER_COMPANY_NAME;
FOUNDATION_EXPORT NSString *const USER_COMPANY_ADDRESS1;
FOUNDATION_EXPORT NSString *const USER_COMPANY_ADDRESS2;
FOUNDATION_EXPORT NSString *const USER_COMPANY_ADDRESS3;
FOUNDATION_EXPORT NSString *const USER_COMPANY_ADDRESS4;
FOUNDATION_EXPORT NSString *const USER_COMPANY_ADDRESS5;
FOUNDATION_EXPORT NSString *const USER_COMPANY_PHONE;
FOUNDATION_EXPORT NSString *const USER_COMPANY_FAX;
FOUNDATION_EXPORT NSString *const USER_COMPANY_EMAIL;
FOUNDATION_EXPORT NSString *const USER_COMPANY_WEBSITE;

//QB RELATED
FOUNDATION_EXPORT NSInteger const NUMBER_OF_QB_ADDRESS_LINES;
FOUNDATION_EXPORT NSInteger const MAX_CUSTOMER_NAME_LENGTH;

//MISC
FOUNDATION_EXPORT NSString *const EMPTY_SELECTION_STRING;

//View States
FOUNDATION_EXPORT NSInteger const CREATE_VIEW_STATE;
FOUNDATION_EXPORT NSInteger const UPDATE_VIEW_STATE;
FOUNDATION_EXPORT NSInteger const READ_VIEW_STATE;

//TAGS
FOUNDATION_EXPORT NSString *const MAIN_PHONE_TAG;
FOUNDATION_EXPORT NSString *const MOBILE_PHONE_TAG;
FOUNDATION_EXPORT NSString *const FAX_PHONE_TAG;
FOUNDATION_EXPORT NSString *const MAIN_EMAIL_TAG;

//PDF
FOUNDATION_EXPORT NSString *const PDF_FILENAME;
FOUNDATION_EXPORT NSString *const PDF_MIME_TYPE;
FOUNDATION_EXPORT NSString *const PDF_TEXT_ENCODING;
FOUNDATION_EXPORT NSString *const PDF_FILENAME_EXTENSION;

// EXCEPTION
FOUNDATION_EXPORT NSString *const EXCEPTION_CONNECTION;
FOUNDATION_EXPORT NSString *const EXCEPTION_DOWNLOAD;
FOUNDATION_EXPORT NSString *const EXCEPTION_UPLOAD;

//datetime constants
FOUNDATION_EXPORT NSString *const SC_DATETIME_LOCALE;

// Web app url constants
FOUNDATION_EXPORT NSString *const WEB_APP_URL;
FOUNDATION_EXPORT NSString *const OAUTH_REQUEST_URL_EXT;
FOUNDATION_EXPORT NSString *const LIST_CUSTOMERS_URL_EXT;
FOUNDATION_EXPORT NSString *const LIST_ITEMS_URL_EXT;
FOUNDATION_EXPORT NSString *const LIST_SALES_REPS_URL_EXT;
FOUNDATION_EXPORT NSString *const LIST_SHIP_METHODS_URL_EXT;
FOUNDATION_EXPORT NSString *const LIST_SALES_TERMS_URL_EXT;
FOUNDATION_EXPORT NSString *const SEND_ORDER_URL_EXT;
FOUNDATION_EXPORT NSString *const SEND_ESTIMATE_URL_EXT;
FOUNDATION_EXPORT NSString *const EMAIL_ORDER_URL_EXT;
FOUNDATION_EXPORT NSString *const LIST_COMPANY_INFO_URL_EXT;
FOUNDATION_EXPORT int const WEB_APP_MAX_PAGES;
FOUNDATION_EXPORT NSString *const VALIDATE_TENANT_URL_EXT;
FOUNDATION_EXPORT NSString *const DISCONNECT_OAUTH_URL_EXT;
FOUNDATION_EXPORT NSString *const SEND_CUSTOMER_URL_EXT;
FOUNDATION_EXPORT NSString *const UPDATE_CUSTOMER_URL_EXT;

// Core Data managed object entity type names
FOUNDATION_EXPORT NSString *const ENTITY_SCCUSTOMER;
FOUNDATION_EXPORT NSString *const ENTITY_SCITEM;
FOUNDATION_EXPORT NSString *const ENTITY_SCORDER;
FOUNDATION_EXPORT NSString *const ENTITY_SCLINE;
FOUNDATION_EXPORT NSString *const ENTITY_SCADDRESS;
FOUNDATION_EXPORT NSString *const ENTITY_SCEMAIL;
FOUNDATION_EXPORT NSString *const ENTITY_SCPHONE;
FOUNDATION_EXPORT NSString *const ENTITY_SCSALESREP;
FOUNDATION_EXPORT NSString *const ENTITY_SCSALESTERM;
FOUNDATION_EXPORT NSString *const ENTITY_SCSHIPMETHOD;
FOUNDATION_EXPORT NSString *const ENTITY_SCEMAILTOSEND;

// Statuses
FOUNDATION_EXPORT NSString *const DRAFT_STATUS;
FOUNDATION_EXPORT NSString *const CONFIRMED_STATUS;
FOUNDATION_EXPORT NSString *const SYNCED_STATUS;
FOUNDATION_EXPORT NSString *const NEW_STATUS;
FOUNDATION_EXPORT NSString *const UPDATED_STATUS;

//Default styles
FOUNDATION_EXPORT float const UI_DISABLED_ALPHA;
FOUNDATION_EXPORT NSString *const FONT_DEFAULT;
FOUNDATION_EXPORT float const FONT_SIZE_DEFAULT;
FOUNDATION_EXPORT float const FONT_SIZE_LARGE_LABEL;
//FOUNDATION_EXPORT NSString *const FONT_SIZE_SMALL_LABEL;